org.opencv.tracking

## Class TrackerKCF

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.tracking.Tracker
    - - org.opencv.tracking.TrackerKCF

-     public class TrackerKCF
      extends Tracker

  the KCF (Kernelized Correlation Filter) tracker KCF is a novel tracking framework that utilizes properties of circulant matrix to enhance the processing speed. This tracking method is an implementation of CITE: KCF_ECCV which is extended to KCF with color-names features (CITE: KCF_CN). The original paper of KCF is available at <http://www.robots.ox.ac.uk/~joao/publications/henriques_tpami2015.pdf> as well as the matlab implementation. For more information about KCF with color-names features, please refer to <http://www.cvl.isy.liu.se/research/objrec/visualtracking/colvistrack/index.html>.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CN`
    `static int` | `CUSTOM`
    `static int` | `GRAY`

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TrackerKCF(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TrackerKCF` | `__fromPtr__(long addr)`
    `static TrackerKCF` | `create()` Constructor
    `protected void` | `finalize()`

    - ### Methods inherited from class org.opencv.tracking.Tracker

      `init, update`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GRAY

          public static final int GRAY

      See Also:
        Constant Field Values

    - #### CN

          public static final int CN

      See Also:
        Constant Field Values

    - #### CUSTOM

          public static final int CUSTOM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TrackerKCF

          protected TrackerKCF(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static TrackerKCF __fromPtr__(long addr)

    - #### create

          public static TrackerKCF create()

      Constructor
      Returns:
        automatically generated

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Tracker`
      Throws:
        `Throwable`

Generated on Thu Jul 25 2019 21:39:44 UTC / OpenCV 3.4.7